import React from 'react'
import {TouchableOpacity,View} from 'react-native'
import Text from 'react-native-text'
import {scale, verticalScale, moderateScale } from 'react-native-size-matters';
import Size from '../../config/size'
const size = new Size;
import TimerCountdown from 'react-native-timer-countdown';
import { width, height } from '../../config/screen';

export default class CountDownButton {

    render(){
        if(this.props.resend){
            return(
           <TouchableOpacity>
   <Text style = {{borderWidth: 1,borderColor:'black',}}>
        RESEND
        </Text>
           </TouchableOpacity>
            )
        }
    return(
        <TimerCountdown
        initialSecondsRemaining={1000*60}
       
        allowFontScaling={true}
        style={{ fontSize: 20 }}
    />
    )
}
}

